<?php
namespace Core\Language;

class English extends AnyLanguage
{
    public function __construct()
    {
        $this->data['home'] = 'Home';
        $this->data['back'] = 'Back';
        $this->data['fsync_autostock_info'] = 'Note: Automatic synchronization requires a cron job with the following URL:';
        $this->data['title'] = 'Facturis Online Sync';
        $this->data['description'] = 'Synchronize data between your store and your Facturis Online account.';
        $this->data['version_text'] = 'Module Version';   
        $this->data['version_link'] = 'https://facturis-online.ro/';  
        $this->data['check_latest_version'] = 'Click here to find the latest version'; 
        $this->data['version_check_error'] = 'Version check error'; 
        $this->data['version_check_success'] = 'You have the latest version!';
        $this->data['version_check_new'] = 'There is a newer version';
        $this->data['version_check_link_1'] = 'For details click';
        $this->data['version_check_link_2'] = 'here';
        $this->data['error_auth_data'] = 'Please fill in all the fields from the authentication section of the synchronization module';
        
        //tutorial
        $this->data['tutorial_title'] = 'Setup instructions';
        $this->data['tutorial_p'] = "Let's get started by following this guide";
        $this->data['tutorial_1'] = 'This module helps a user of the Facturis Online platform who has a Shopify store and who wants to have synchronized, in a faster and more convenient way, the products, orders and stock between the 2 online applications';
        $this->data['tutorial_2'] = 'The first thing before using this module is the correct completion of the section Authentication with data from his account Facturis Online';
        $this->data['tutorial_3'] = 'The second step is to set preferences in the Options section to customize subsequent synchronization processes';
        $this->data['tutorial_4'] = 'The last step is to choose a data type from the Synchronization section and start the synchronization process';

        //tab 1
        $this->data['tab_name_1'] = 'Synchronization';
        $this->data['tab_description_1'] = 'Select the data type you want for synchronization and then press Syncronize button';
        $this->data['data_type'] = '[Choose data type]';
        $this->data['product'] = 'Products';
        $this->data['order'] = 'Orders';
        $this->data['stock'] = 'Stock';
        $this->data['proforma'] = 'Proformas';
        $this->data['sync_btn'] = 'Synchronize';
        $this->data['datatype_error'] = 'The data type is required.';
        $this->data['sync_please_wait'] = 'Synchronizing data ... Please wait ...';
        $this->data['authform_error'] = 'The authentication form must be completed';
        $this->data['success_sync_prod'] = 'Successfully synchronized products!';
        $this->data['success_sync_order'] = 'Successfully synchronized orders!';
        $this->data['success_sync_proforma'] = 'Successfully synchronized orders! (view Proforme in Facturis Online) ';
        $this->data['success_sync_stock'] = 'Successfully synchronized stock!';
		$this->data['start_sync_prod'] = 'Products synchronization started..';
        $this->data['start_sync_order'] = 'Orders synchronization started..';
        $this->data['start_sync_proforma'] = 'Proformas synchronization started..';
        $this->data['start_sync_stock'] = 'Stock synchronization started..';        
        $this->data['select_text'] = 'Select sync data type';
        
        //tab 2
        $this->data['tab_name_2'] = 'Authentication';
        $this->data['tab_description_2'] = 'All fields are required';
        $this->data['auth_api_key'] = 'API Key';
        $this->data['auth_username'] = 'Username';
        $this->data['auth_password'] = 'Password';
        $this->data['auth_fiscal_code'] = 'Fiscal code';
        $this->data['save_btn'] = 'Save';
        $this->data['auth_apikey_error'] = 'API key is required.';
        $this->data['auth_username_error'] = 'Username is required.';
        $this->data['auth_password_error'] = 'Password is required.';
        $this->data['auth_fiscalcode_error'] = 'Fiscal code is required.';
        $this->data['success_auth'] = 'The credentials are correct and now you have access to synchronization!';

        //tab 3
        $this->data['tab_name_3'] = 'Order Options';
        $this->data['tab_name_3_1'] = 'Order Synchronization Options';
        $this->data['tab_name_3_2'] = 'Stock Synchronization Options';

        $this->data['sync_orders_as'] = 'Synchronize orders as';
        $this->data['proforma_series'] = 'Proforma series';
        $this->data['days_ago'] = 'Sync only orders created in the last few days';
        $this->data['auto_order_sync'] = 'Auto order synchronization';
        $this->data['auto_stock_sync'] = 'Auto stock synchronization';
        $this->data['activ'] = 'Enabled';
        $this->data['inactiv'] = 'Disabled';

        $this->data['cron_job'] = 'Note: Automatic synchronization requires a cron job with the following URL:';
        $this->data['filter_stock'] = 'Filter stock by working unit and management';
        $this->data['filter_stock_all'] = 'All working units';
        $this->data['loading_data_please_wait'] = 'Loading data ... Please wait ...';

        $this->data['option_proformaserie_error'] = 'Proforma serie is required';   
        $this->data['option_daysago_error'] = 'Field is required and must contain only digits';  
        $this->data['success_options'] = 'You have successfully saved the selected options!';
        $this->data['success_save_data'] = 'You have successfully saved the selected data!';
        $this->data['locations'] = 'Choose the locations where the stock will be updated';
		$this->data['success_save_options'] = 'You have successfully saved the selected options!';
        $this->data['success_save_auth'] = 'You have successfully saved the entered credentials!';
        
		$this->data['with_discount'] = 'Include discount in final price';
        $this->data['with_discount_desc'] = '(valid for orders, invoices and proforms)';


        //tab 4
        $this->data['tab_name_4'] = 'Stock Options';
        
        //tab 5
        $this->data['tab_name_5'] = 'Logs';
        $this->data['datepicker'] = 'en-gb';
        $this->data['download_btn'] = 'Download';
        $this->data['clear_btn'] = 'Clear';
        $this->data['tab_description_5_1'] = 'Select data interval and then press Download button to get the logs';
        $this->data['tab_description_5_2'] = 'Press Clear to reset all logs';
        $this->data['success_download_log'] = 'The log file was downloaded succesfully!';
        $this->data['error_download_log'] = 'There was an error downloading the log file';
        $this->data['download_log_error_1'] = 'You must complete the start date';
        $this->data['download_log_error_2'] = 'The start date must be less than or equal to the end date';
        $this->data['confirm_clear_log'] = 'Are you sure you want to clear the log file ?';
        $this->data['success_clear_log'] = 'The log file was cleared succesfully!';
        $this->data['error_clear_log'] = 'There was an error clearing the log file';
        $this->data['log_header_date'] = 'Date';
        $this->data['log_header_type'] = 'Type';
        $this->data['log_header_description'] = 'Description';
		$this->data['success_test_auth'] = 'Authentication testing completed successfully';
        $this->data['start_sync_process'] = 'The sync process has started';
        
    }

}